Package org.apache.wiki.auth.login

## Class AuthorizerCallback

- java.lang.Object
- - org.apache.wiki.auth.login.AuthorizerCallback

All Implemented Interfaces:
  `javax.security.auth.callback.Callback`

    public class AuthorizerCallback
    extends java.lang.Object
    implements javax.security.auth.callback.Callback

Callback for requesting and supplying an Authorizer required by a LoginModule. This Callback is used by LoginModules needing access to the external authorizer or group manager.

Since:
  2.3

### Constructor Summary

Constructors
`AuthorizerCallback()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Authorizer` `getAuthorizer()` Returns the authorizer.
`void` `setAuthorizer​(Authorizer authorizer)` Sets the authorizer object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AuthorizerCallback

    public AuthorizerCallback()

### Method Detail

#### setAuthorizer

    public void setAuthorizer​(Authorizer authorizer)

Sets the authorizer object. CallbackHandler objects call this method.

Parameters:
  `authorizer` - the authorizer

#### getAuthorizer

    public Authorizer getAuthorizer()

Returns the authorizer. LoginModules call this method after a CallbackHandler sets the authorizer.

Returns:
  the authorizer